%global pypi_name Django
%global module_name django

%if 0%{?rhel} == 8
%global component_prefix 3x
%endif

Name:          python%{?component_prefix}-%{module_name}
Version:       3.2.15
Release:       2%{?dist}
Summary:       A high-level Python Web framework that encourages rapid development and clean, pragmatic design

License:       BSD
URL:           https://github.com/django/django
Source0:       %{pypi_name}-%{version}.tar.gz
Patch0:        0001-Fixed-28401-Allow-hashlib.md5-calls-to-work-with-FIP.patch
BuildArch:     noarch

BuildRequires: python%{python3_pkgversion}-devel
BuildRequires: python%{python3_pkgversion}-rpm-macros
BuildRequires: python%{python3_pkgversion}-setuptools

%description
Django is a high-level Python Web framework that encourages rapid development
and clean, pragmatic design.

%package -n python%{python3_pkgversion}-%{module_name}

Summary:       A high-level Python Web framework that encourages rapid development and clean, pragmatic design

Requires:      python%{python3_pkgversion}-asgiref >= 3.3.2
Requires:      python%{python3_pkgversion}-asgiref < 4
Requires:      python%{python3_pkgversion}-pytz
Requires:      python%{python3_pkgversion}-sqlparse >= 0.2.2

Obsoletes:      python3-%{module_name} < %{version}-%{release}
%if 0%{?rhel} == 8
Obsoletes:      python38-%{module_name} < %{version}-%{release}
%endif

%description -n python%{python3_pkgversion}-%{module_name}
Django is a high-level Python Web framework that encourages rapid development
and clean, pragmatic design.

%prep
%autosetup -p 1 -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

pushd django
sed -i "s|/usr/bin/env python|%{__python3}|" bin/django-admin.py conf/project_template/manage.py-tpl
popd

%build
%{py3_build}

%install
%{py3_install}

%files -n python%{python3_pkgversion}-%{module_name}
%{_bindir}/django-admin
%{python3_sitelib}/%{module_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info
%exclude %{_bindir}/django-admin.py
%license LICENSE LICENSE.python
%doc README.rst

%changelog
* Wed Oct 26 2022 Satoe Imaishi <simaishi@redhat.com> - 3.2.15-2
- Update to 3.2.15

* Mon Mar 28 2022 Dimitri Savineau <dsavinea@redhat.com> - 3.2.7-1
- Initial package
